Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05256 Speed Major Always Aug 5, 2013, 21:05 Jan 22, 2014, 17:27
Tester Tenchi View Status Public Platform MAME (Self-compiled)
Assigned To smf Resolution Fixed OS Windows XP
Status [?] Resolved Driver jaguar.cpp
Version 0.149u1 Fixed in Version 0.153 Build Normal
Summary 05256: area51mx, a51mxr3k, maxforce, maxf_102, maxf_ng, vcircle: Very slow gameplay/missing Video
Description Game periodically becames very, very slow, which makes it completely unplayable. Animation lags and music stutters, although the game itself still works and you can try to shoot the bad guys. Eventually it "breaks through" (throttling helps a little) and behaves normally, but after a scene or two the story repeats itself. This is a regression - game works fine up to MAME 0.149.
Steps To Reproduce Just run any version of Maximum Force and start playing mission 1, as it happens right at the beginning.
Additional Information
Flags
Regression Version
Affected Sets / Systems area51mx, a51mxr3k, maxforce, maxf_102, maxf_ng, vcircle
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.09703
Fujix
Administrator
Aug 6, 2013, 13:20
I played area51mx for three stages, no slowdown experienced.

Here in maxf_102, maxf_ng and maxforce, the game got almost frozen and no input worked although music was playing normally.
User avatar
No.09704
Tenchi
Tester
Aug 6, 2013, 13:38
edited on: Aug 6, 2013, 16:17
My fault, I didn't write it clear enough - I'm sorry. The problem in area51mx and clone concerns only Maximum Force - Area 51 works fine in any version (this or stand alone). Not a problem, though - I suppose that fixing the stand alone versions of Maximum Force will also fix the inproper behaviour of the Area 51/Maximum Force Duo combo. I'm in no position to tell the developers what to do, but maybe reverting back the changes made in 0.149u1 is enough...?
User avatar
No.09705
haynor666
Tester
Aug 6, 2013, 18:36
I can confirm this in stand alone Maximum Force as well the combo. MAME itself shows 100% speed but in game speed is very slow. Looks like 1 or 2 frames per sec.
User avatar
No.09761
jonnyhooper
Tester
Aug 31, 2013, 21:44
i got this on max force o gore version run attract mode lad at stage 2 and then i hangs on 1fps ... if i hold down fast foreward for a little while it then goes away :)
User avatar
No.09763
Tenchi
Tester
Aug 31, 2013, 22:02
edited on: Aug 31, 2013, 22:04
Try to play the game. It might go away when fast forwarded, but it's back in a few seconds and the whole cycle repeats making the game unplayable.
User avatar
No.09765
john_iv
Senior Tester
Sep 1, 2013, 17:50
You can also see this on area51, just watch the attract mode. The spaceship coming in to shoot the logo goes in fits and spurts one frame at a time. 3.6Ghz C2D.
User avatar
No.09903
smf
Developer
Oct 26, 2013, 15:55
>You can also see this on area51, just watch the attract mode.

The area51 problem was introduced after 0.149u1 & has just been fixed. The maximum force problem remains.

>maybe reverting back the changes made in 0.149u1 is enough...?

What all of it? It's not like someone added a "if game == maximumforce then sleep 10" to the code that we can remove.